Debian Bug report logs - #722093
RFP: plinth -- web interface and framework

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Sat, 7 Sep 2013 20:33:02 UTC

Severity: wishlist

Fixed in version 0.3.0.0.git.20131229-1

Done: Petter Reinholdtsen <pere@hungry.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, freedombox-discuss@lists.alioth.debian.org, james@hackervisions.org, wnpp@debian.org:
Bug#722093; Package wnpp. (Sat, 07 Sep 2013 20:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to freedombox-discuss@lists.alioth.debian.org, james@hackervisions.org, wnpp@debian.org. (Sat, 07 Sep 2013 20:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: plinth -- web interface and framework
Date: Sat, 07 Sep 2013 22:29:08 +0200
Package: wnpp
Severity: wishlist

* Package name    : plinth
  Version         : git snapshot
  Upstream Author : James Vasile <james (at) hackervisions.org>
* URL             : https://github.com/jvasile/Plinth
* License         : GNU Affero General Public License, Version 3 or later
  Programming Lang: Python
  Description     : web front end for administering every aspect of a Freedom Box

The front end is an extensible web platform for forms and menus.  It
allows authenticated users to fill out forms.  The interface saves the
form data and from them generates configuration files for the various
services running on the box.

The interface is pluggable.  Drop modules into place to add new
capabilities to Plinth and your Freedom Box.  Replace existing modules
to get newer, better shinier functions.  The modules will automatically
integrate into the existing menu system so you can control all of the
box's parts from one central location.
        


The web interface and framework is the web interface of the Freedombox,
and would be great to have in Debian proper. :)

Initial packaging is available from
<URL: http://git.tzafrir.org.il/?p=plinth/plinth.git >, deb source
at <URL: http://tzafrir.org.il/~tzafrir/fbox/ >.

--
Happy hacking
Petter Reinholdtsen



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 26 Sep 2013 08:06:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#722093; Package wnpp. (Tue, 01 Oct 2013 14:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 01 Oct 2013 14:54:04 GMT) Full text and rfc822 format available.

Message #12 received at 722093@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: 722093@bugs.debian.org
Cc: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Subject: ITA: slowaes -- implementation of AES in python
Date: Tue, 1 Oct 2013 20:22:04 +0530
[Message part 1 (text/plain, inline)]
Control: owner -1 !
Control: retitle -1 ITA: slowaes -- implementation of AES in python

I here by adopt this package as part of pkg-bitcoin team. This is a
dependency of electrum.

Cheers,
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Vasudev Kamath <kamathvasudev@gmail.com>. Request was from Vasudev Kamath <kamathvasudev@gmail.com> to 722093-submit@bugs.debian.org. (Tue, 01 Oct 2013 14:54:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: slowaes -- implementation of AES in python' from 'RFP: plinth -- web interface and framework' Request was from Vasudev Kamath <kamathvasudev@gmail.com> to 722093-submit@bugs.debian.org. (Tue, 01 Oct 2013 14:54:05 GMT) Full text and rfc822 format available.

Information stored :
Bug#722093; Package wnpp. (Tue, 01 Oct 2013 15:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasudev Kamath <kamathvasudev@gmail.com>:
Extra info received and filed, but not forwarded. (Tue, 01 Oct 2013 15:03:10 GMT) Full text and rfc822 format available.

Message #21 received at 722093-quiet@bugs.debian.org (full text, mbox):

From: Vasudev Kamath <kamathvasudev@gmail.com>
To: 722093-quiet@bugs.debian.org
Subject: Accidentally renamed wrong ITP
Date: Tue, 1 Oct 2013 20:28:02 +0530
[Message part 1 (text/plain, inline)]
Control: nowner -1
Control: retitle -1 RFP: plinth -- web interface and framework

Sorry accidentally claimed and retitled wrong ITP. Sorry for mess.

Cheers,
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'RFP: plinth -- web interface and framework' from 'ITA: slowaes -- implementation of AES in python' Request was from Vasudev Kamath <kamathvasudev@gmail.com> to 722093-quiet@bugs.debian.org. (Tue, 01 Oct 2013 15:03:10 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Vasudev Kamath <kamathvasudev@gmail.com>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 01 Oct 2013 16:27:07 GMT) Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@hungry.com>:
You have taken responsibility. (Mon, 30 Dec 2013 09:51:05 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Mon, 30 Dec 2013 09:51:05 GMT) Full text and rfc822 format available.

Message #30 received at 722093-done@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 722093-done@bugs.debian.org
Subject: Re: Bug#722093 RFP: plinth -- web interface and framework
Date: Mon, 30 Dec 2013 10:46:47 +0100
Version: 0.3.0.0.git.20131229-1

This issue was just fixed:

Format: 1.8
Date: Sun, 29 Dec 2013 16:06:53 +0100
Source: plinth
Binary: plinth
Architecture: source all
Version: 0.3.0.0.git.20131229-1
Distribution: unstable
Urgency: low
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description:
 plinth     - web front end for administering every aspect of a Freedom Box
Changes:
 plinth (0.3.0.0.git.20131229-1) unstable; urgency=low
 .
   * Updated to new git version from Nick Daly based on commit
     cb9ca1b86c7b7440e87b6d5b65ab6ccf51f760cf .
     - Remove patch correct-issue-tracker.diff now included upstream.
     - Updated patches actions-path.diff and program-paths.diff to match
       changes done upstream.
   * Updated copyright file with more details using the new upstream
     LICENSES file.
[...]

-- 
Happy hacking
Petter Reinholdtsen



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Jan 2014 07:33:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:38:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.